:root {
  --main-color: rgb(3, 45, 104);
  --text-color: #ffffff;
  --h1-size: 128px;
  --h2-size: 48px;
  --h3-size: 19px;
  --h1-msize: 64px;
  --h2-msize: 32px;
  --h3-msize: 16px;
}

/* ---------------- 모바일 반응형 ---------------- */
@media (max-width: 768px) {
  h1:not(.folder-text) {
    letter-spacing: -4px;
  }

  /* header */
  header {
    padding: 20px;
  }

  nav {
    width: 100%; /* 메뉴가 아래쪽 전체를 차지하도록 설정 */
  }

  nav ul {
    display: none; /* 모바일에서 기본적으로 메뉴 숨김 */
    flex-direction: column;
    width: 100%;
    gap: 0;
    margin-top: var(--h3-size);
  }

  nav ul.active {
    display: flex;
  }

  nav ul li {
    width: 100%;
    text-align: center;
    padding: 16px 0;
    border-top: 1px solid rgba(255, 255, 255, 0.1); /* 메뉴 구분선 색상 살짝 변경 */
  }

  .menu-toggle {
    display: block;
  }

  /* footer */
  footer {
    padding-top: 300px;
  }
  .links-container {
    padding-bottom: 70px;
  }

  .link {
    font-size: 50px;
  }

  /* index */
  .start .title {
    font-size: var(--h1-msize);
  }

  .start .subtitle {
    font-size: var(--h3-msize);
  }

  .start-payload-grid,
  .start-payload-grid.reverse,
  .start-payload-grid.top-align {
    flex-direction: column;
    text-align: center;
    gap: 30px;
  }

  .right-align {
    text-align: center;
  }

  .description-list {
    width: 300px;
  }

  .payload {
    font-size: var(--h2-msize);
  }

  .profile-img {
    width: 250px;
  }

  /* public page */
  .giant-title {
    font-size: var(--h1-msize);
  }
  /* team page */
  .profile-content {
    flex-direction: column;
  }

  .profile-content {
    grid-template-columns: 1fr;
  }

  .profile-image-box {
    border-right: none;
    border-bottom: 1px solid #ccc;
  }

  .profile-image-box img {
    margin: 20px auto;
    width: 100%;
    max-width: 300px;
    height: auto;
  }

  .profile-details {
    padding: 30px;
  }

  .member-grid {
    grid-template-columns: 1fr;
  }

  .member-card {
    border-right: none;
    border-bottom: 1px solid #ccc;
  }

  .member-card:last-child {
    border-bottom: none; /* 마지막 카드는 오른쪽 테두리 제거 */
  }
  .member-img-placeholder img {
    max-width: 200px;
  }

  /* ---------프로젝트 -----------*/
  .project-list {
    gap: 30px;
    margin-bottom: 100px;
  }

  .project-title {
    font-size: 25px;
  }

  .folder-img {
    display: none;
  }

  .project-item {
    grid-template-columns: none;
  }

  .blind-folder {
    display: block;
  }

  /* ------- 세부 프로젝트 -------- */
  .project-header {
    flex-direction: column; /* 가로 배치를 세로 배치로 변경 */
    align-items: flex-start; /* 왼쪽 정렬 */
    padding: 0;
    gap: 20px; /* 텍스트 그룹과 이미지 사이의 간격 */
  }

  .back-button {
    margin-top: 5px;
  }

  .project-title h2 {
    font-size: 25px;
  }

  .project-title h3 {
    font-size: var(--h3-msize);
  }

  .project-script {
    justify-content: center;
    gap: 25px;
  }

  .project-script.detail {
    padding: 50px 0 50px;
  }

  /* 2. 이미지를 타이틀 시작선에 보기 좋게 맞추기 (선택 사항) */
  .project-logo {
    margin: auto;
    margin-bottom: 50px;
    height: 120px; /* 모바일에서는 이미지 크기를 살짝 줄임 */
  }
}
